searchData={"items":[{"type":"module","title":"ExUnitNotifier","doc":"Shows notifications for ExUnit test runs\n\nTo enable notifications, add `ExUnitNotifier` as a formatter in your `test_helper.exs`:\n\n    ExUnit.configure formatters: [ExUnit.CLIFormatter, ExUnitNotifier]","ref":"ExUnitNotifier.html"},{"type":"function","title":"ExUnitNotifier.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"ExUnitNotifier.html#child_spec/1"},{"type":"function","title":"ExUnitNotifier.init/1","doc":"","ref":"ExUnitNotifier.html#init/1"},{"type":"extras","title":"License","doc":"The MIT License\n\nCopyright (c) 2016 Navin Peiris\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the \"Software\"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html"},{"type":"extras","title":"ExUnit Notifier","doc":"# ExUnit Notifier\n\n[![Build Status](https://github.com/navinpeiris/ex_unit_notifier/workflows/CI/badge.svg)](https://github.com/navinpeiris/ex_unit_notifier/actions?query=workflow%3ACI)\n[![Hex version](https://img.shields.io/hexpm/v/ex_unit_notifier.svg \"Hex version\")](https://hex.pm/packages/ex_unit_notifier)\n[![Hex docs](https://img.shields.io/badge/hex-docs-lightgreen.svg)](https://hexdocs.pm/ex_unit_notifier/)\n[![Hex downloads](https://img.shields.io/hexpm/dt/ex_unit_notifier.svg \"Hex downloads\")](https://hex.pm/packages/ex_unit_notifier)\n[![License](http://img.shields.io/:license-mit-blue.svg)](http://doge.mit-license.org)\n[![Last Updated](https://img.shields.io/github/last-commit/navinpeiris/ex_unit_notifier.svg)](https://github.com/navinpeiris/ex_unit_notifier/commits/master)\n\n![screenshot](http://i.imgur.com/xywj5C1.png)\n\nShow desktop notifications for ExUnit runs. Works very well with automatic test runners such as [mix-test.watch](https://github.com/lpil/mix-test.watch). (Yes, TDD is awesome!)\n\nCurrently notifications on OS X and Linux are supported.","ref":"readme.html"},{"type":"extras","title":"Installation - ExUnit Notifier","doc":"First, add `ExUnitNotifier` to your `mix.exs` dependencies:\n\n```elixir\ndef deps do\n  [\n    {:ex_unit_notifier, \"~> 1.3\", only: :test}\n  ]\nend\n```\n\nThen, update your dependencies:\n\n```bash\n$ mix deps.get\n```","ref":"readme.html#installation"},{"type":"extras","title":"For macOS - ExUnit Notifier","doc":"Follow [installation instruction](https://github.com/julienXX/terminal-notifier) of `terminal-notifier` if you need to install a particular version.\n\nOtherwise, install current version via Homebrew:\n\n```bash\n$ brew install terminal-notifier\n```","ref":"readme.html#for-macos"},{"type":"extras","title":"For GNU/Linux - ExUnit Notifier","doc":"Install `notify-send`:\n\n```bash\n$ sudo apt install libnotify-bin\n```","ref":"readme.html#for-gnu-linux"},{"type":"extras","title":"Usage - ExUnit Notifier","doc":"Add `ExUnitNotifier` to your `ExUnit` configuration in `test/test_helper.exs` file.\n\n```elixir\nExUnit.configure formatters: [ExUnit.CLIFormatter, ExUnitNotifier]\nExUnit.start\n```\n\nNow run `mix test` and you'll see notifications popping up :)","ref":"readme.html#usage"},{"type":"extras","title":"Notification Types - ExUnit Notifier","doc":"Notifications will be sent from the first available notifier that is deemed available in the order specified below:\n\n- terminal-notifier (ExUnitNotifier.Notifiers.TerminalNotifier)\n- notify-send (ExUnitNotifier.Notifiers.NotifySend)\n- tmux (ExUnitNotifier.Notifiers.TmuxNotifier)\n- Terminal Title if non of the above match (ExUnitNotifier.Notifiers.TerminalTitle)\n\nTo force a specific type of notifier to be used, specify the notifier using the following configuration:\n\n```elixir\nconfig :ex_unit_notifier, notifier: ExUnitNotifier.Notifiers.TerminalNotifier\n```\n\nYou can use one of the available notifiers found in [lib/ex_unit_notifier/notifiers](lib/ex_unit_notifier/notifiers), or you can write your own.","ref":"readme.html#notification-types"},{"type":"extras","title":"Notification Options - ExUnit Notifier","doc":"For `notify-send` users, it is possible to clear the notifications from notifications center history using the following configuration, defaults to `false`:\n\n```elixir\nconfig :ex_unit_notifier, clear_history: true\n```","ref":"readme.html#notification-options"},{"type":"extras","title":"Copyright and License - ExUnit Notifier","doc":"Copyright (c) 2016 Navin Peiris\n\nSource code is released under [the MIT license](./LICENSE.md).","ref":"readme.html#copyright-and-license"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,48]}}